from __future__ import absolute_import

__description__ = "allows classifiers to be an importable submodule"
__author__ = "Patrick Godwin (patrick.godwin@ligo.org)"
__doc__ = "\n\n".join([__description__, __author__])

### import base functionality
from .base import *

### import optional classifiers if relevant libraries are installed
from .ovl import *

try:
    from .keras import *
except ImportError:
    pass

try:
    from .sklearn import *
except ImportError:
    pass

try:
    from .xgb import *
except ImportError:
    pass

__all__ = ['base', 'ovl', 'keras', 'sklearn', 'xgb']
